# Get Consolidated EWB PDF

You can print a consolidated EWB by sending a **`GET`** request to E-Invoicing API with the following request headers.

### Request Method

GET

### Request URL

```
{{HOST}}/einv/v1/consolidate-ewaybill/print?ewb_number={{ewb_number}}
```

### Request Headers

<table><thead><tr><th width="197.6666259765625">Parameter</th><th width="174.3333740234375">Data Type</th><th width="150">Field Validations</th><th>Description</th></tr></thead><tbody><tr><td>X-Cleartax-Auth-Token</td><td>Header</td><td>String</td><td>Mandatory. The auth token generated from ClearTax user id and password. <a href="https://docs.cleartax.in/cleartax-for-developers/e-invoicing-api/e-invoicing-api-reference/authentication-token">Know how.</a></td></tr><tr><td>gstin</td><td>Header</td><td>String</td><td>Mandatory. GSTIN number for the user</td></tr></tbody></table>

### Request Path Params

There are no path parameters for this API.

### Request Query Params

| Parameter   | Data Type | Field Validations | Description                  |
| ----------- | --------- | ----------------- | ---------------------------- |
| ewb\_number | String    | NA                | Mandatory = E-Waybill number |

### Request Body

There is no request body for this API.

### Response Status Codes

| HTTP Status Code | Description                                                                  |
| ---------------- | ---------------------------------------------------------------------------- |
| 200              | For a successfully processed request (may be a success or validation error). |
| 401              | If the user is not authenticated for the operation.                          |
| 403              | If the user is not authorized for the operation.                             |
| 500              | If there are any unhandled exceptions on the Clear side.                     |

### Response Schema

| Parameter      | Data Type | Field Validations | Description                                                               |
| -------------- | --------- | ----------------- | ------------------------------------------------------------------------- |
| error \_code   | Number    | NA                | Error Code. If there is no error, then this field will not be present.    |
| error\_message | String    | NA                | Error message. If there is no error, then this field will not be present. |
| error\_source  | String    | NA                | Error Source. If there is no error, then this field will not be present.  |

### Sample Request and Response

#### Request&#x20;

NA

#### Response - Success:&#x20;

**HTTP Status Code - 200 OK**

{% file src="/files/I3LZYdEKb1f7DhAPh0pA" %}
Consolidated EWB
{% endfile %}

#### Response - Failure:&#x20;

**HTTP Status Code 200 OK**

```json
{
    "error_code": "102",
    "error_message": "No documents with the selected Input are present in the Database;",
    "error_source": "CLEARTAX"
}
```

### API Validations

Currently there are no known validations for this API.

### API Constraints

EWB should be present in the ClearTax database.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cleartax.in/cleartax-docs/e-invoicing-api/e-invoicing-api-reference/cleartax-e-invoicing-apis-xml-schema/e-waybills-apis/get-consolidated-ewb-pdf.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
